package com.jpsoft.shinestar.modules.business.dao;

import com.jpsoft.shinestar.modules.business.entity.CameraPurchaser;
 import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CameraPurchaserDAO {
	int insert(CameraPurchaser entity);
	int update(CameraPurchaser entity);
	int exist(String id);
	CameraPurchaser get(String id);
	CameraPurchaser getByPersonId( @Param("personId") Long personId);

	int delete(String id);
	List<CameraPurchaser> list();
	List<CameraPurchaser> search(Map<String, Object> searchParams, List<Sort> sortList);
}